List<Day> dayLists = [
  Day(id: 1, name: 'Sun'),
  Day(id: 2, name: 'Mon'),
  Day(id: 3, name: 'Tue'),
  Day(id: 4, name: 'Wed'),
  Day(id: 5, name: 'Thu'),
  Day(id: 6, name: 'Fri'),
  Day(id: 7, name: 'Sat'),
];

class Setting {
  final int supportBuildNum;

  // contact page
  String usaAddress;
  String mmAddress;
  String usaContactNumber;
  String mmContactNumber;
  String emailAddress;
  String facebookLink;
  bool inviteRequired;
  String appUrl;
  final String termsEng;
  final String termsMm;
  String about;
  String courierWebsite;

  List<String> shipmentTypes;

  Setting(
      {this.supportBuildNum,
      this.usaAddress,
      this.mmAddress,
      this.usaContactNumber,
      this.mmContactNumber,
      this.emailAddress,
      this.facebookLink,
      this.inviteRequired,
      this.appUrl,
      this.termsEng,
      this.termsMm,
      this.about,
      this.shipmentTypes,
      this.courierWebsite});

  factory Setting.fromMap(Map<String, dynamic> map) {
    return Setting(
      supportBuildNum: map['support_build_number'],
      inviteRequired: map['invite_required'],
      appUrl: map['app_url'],
      usaAddress: map['usa_address'],
      mmAddress: map['mm_address'],
      usaContactNumber: map['usa_contact_number'],
      mmContactNumber: map['mm_contact_number'],
      emailAddress: map['email_address'],
      facebookLink: map['facebook_link'],
      about: map['about'],
      termsEng: map['terms_eng'],
      termsMm: map['terms_mm'],
      shipmentTypes: List.from(map['shipment_types']),
      courierWebsite: map['courier_website'],
    );
  }

  Map<String, dynamic> toMap() {
    return {
      'terms_eng': termsEng,
      'terms_mm': termsMm,
    };
  }

  @override
  String toString() {
    return 'Setting{supportBuildNum:$supportBuildNum,about:$about}';
  }
}

class Day {
  int id;
  String name;
  bool isChecked = false;
  Day({this.id, this.name, this.isChecked});

  @override
  String toString() {
    return 'Day{id:$id,name:$name,isChecked:$isChecked}';
  }
}
